/wallets/gas-station-walletsGet Vault Gas Station Wallets
Outcome - Returns all gas station wallets for the current vault.
Query Parameters
pagenumbernullableSpecifies the page number of results to return.
limitnumbernullableLimits the number of results returned.
sortKeystringnullableSort results by field name.
searchstringnullableSearch term for filtering results.
filtersobjectnullableFilters results.
Show child parameters (3)
publicAddressstringnullablePublic address of the wallet.
targetIdnumbernullableThe ID of the client or vault that owns the wallet. (Use null for master wallets or the vault id).
assetIdnumbernullableThe ID of the associated asset.
Responses
Response attributes
messagestringResponse message
dataarrayArray of gas station wallet records
Show child attributes (10)
idnumberWallet ID
balancestringAvailable balance
pendingBalancestringPending balance
publicAddressstringPublic blockchain address of the wallet
transactionsCountstringNumber of transactions
targetIdnumberTarget ID
assetobjectAsset details
Show child attributes (11)
idnumberAsset ID
namestringAsset name
symbolstringAsset symbol
contractAddressstringnullableToken contract address
decimalsnumberAsset decimals
networkobjectNetwork details
Show child attributes (11)
idnumberNetwork ID
namestringNetwork name
symbolstringNetwork symbol
createdAtstringNetwork creation timestamp
updatedAtstringNetwork last updated timestamp
typestringNetwork type
statusstringNetwork status
logostringNetwork logo URL
isSwappablebooleanWhether the network supports swapping
categorystringNetwork category
chainobjectChain details
Show child attributes (5)
idnumberChain ID
namestringChain name
nativeCurrencyobjectNative currency details
Show child attributes (3)
namestringCurrency name
symbolstringCurrency symbol
decimalsnumberCurrency decimals
rpcUrlsobjectRPC URLs
Show child attributes (1)
defaultobjectDefault RPC configuration
Show child attributes (1)
httparrayHTTP RPC URLs
blockExplorersobjectBlock explorer details
Show child attributes (1)
defaultobjectDefault block explorer
Show child attributes (3)
namestringExplorer name
urlstringExplorer URL
apiUrlstringExplorer API URL
createdAtstringAsset creation timestamp
updatedAtstringAsset last updated timestamp
typestringAsset type (COIN or TOKEN)
statusstringAsset status
logostringAsset logo URL
createdAtstringWallet creation timestamp
updatedAtstringWallet last updated timestamp
typestringWallet type
metaobjectPagination details
Show child attributes (6)
totalItemsnumberTotal number of items
itemsPerPagenumberNumber of items per page
totalPagesnumberTotal number of pages
currentPagenumberCurrent page number
hasPreviousPagebooleanWhether there is a previous page
hasNextPagebooleanWhether there is a next page
statusnumberHTTP status code
Was this page helpful?